## NAS Event Report

NAS Event Report

## Functions

QmiIndicationNasEventReportOutput * | qmi_indication_nas_event_report_output_ref ()
void | qmi_indication_nas_event_report_output_unref ()
gboolean | qmi_indication_nas_event_report_output_get_lte_rsrp ()
gboolean | qmi_indication_nas_event_report_output_get_lte_snr ()
gboolean | qmi_indication_nas_event_report_output_get_rsrq ()
gboolean | qmi_indication_nas_event_report_output_get_error_rate ()
gboolean | qmi_indication_nas_event_report_output_get_sinr ()
gboolean | qmi_indication_nas_event_report_output_get_io ()
gboolean | qmi_indication_nas_event_report_output_get_ecio ()
gboolean | qmi_indication_nas_event_report_output_get_rssi ()
gboolean | qmi_indication_nas_event_report_output_get_registration_reject_reason ()
gboolean | qmi_indication_nas_event_report_output_get_rf_band_information ()
gboolean | qmi_indication_nas_event_report_output_get_signal_strength ()

## Types and Values

| QmiIndicationNasEventReportOutput
| QmiIndicationNasEventReportOutputRfBandInformationElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasEventReportOutput

## Description

## Functions

### qmi_indication_nas_event_report_output_ref ()

    QmiIndicationNasEventReportOutput *
    qmi_indication_nas_event_report_output_ref
                                   (QmiIndicationNasEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_indication_nas_event_report_output_unref ()

    void
    qmi_indication_nas_event_report_output_unref
                                   (QmiIndicationNasEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasEventReportOutput. |

Since: 1.0

### qmi_indication_nas_event_report_output_get_lte_rsrp ()

    gboolean
    qmi_indication_nas_event_report_output_get_lte_rsrp
                                   (QmiIndicationNasEventReportOutput *self,
                                    gint16 *value_lte_rsrp,
                                    GError **error);

Get the 'LTE RSRP' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_lte_rsrp | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_lte_snr ()

    gboolean
    qmi_indication_nas_event_report_output_get_lte_snr
                                   (QmiIndicationNasEventReportOutput *self,
                                    gint16 *value_lte_snr,
                                    GError **error);

Get the 'LTE SNR' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_lte_snr | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_rsrq ()

    gboolean
    qmi_indication_nas_event_report_output_get_rsrq
                                   (QmiIndicationNasEventReportOutput *self,
                                    gint8 *value_rsrq_rsrq,
                                    QmiNasRadioInterface *value_rsrq_radio_interface,
                                    GError **error);

Get the 'RSRQ' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_rsrq_rsrq | a placeholder for the output gint8, or `NULL` if not required. |
value_rsrq_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_error_rate ()

    gboolean
    qmi_indication_nas_event_report_output_get_error_rate
                                   (QmiIndicationNasEventReportOutput *self,
                                    guint16 *value_error_rate_rate,
                                    QmiNasRadioInterface *value_error_rate_radio_interface,
                                    GError **error);

Get the 'Error Rate' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_error_rate_rate | a placeholder for the output guint16, or `NULL` if not required. |
value_error_rate_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_sinr ()

    gboolean
    qmi_indication_nas_event_report_output_get_sinr
                                   (QmiIndicationNasEventReportOutput *self,
                                    QmiNasEvdoSinrLevel *value_sinr,
                                    GError **error);

Get the 'SINR' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_sinr | a placeholder for the output QmiNasEvdoSinrLevel, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_io ()

    gboolean
    qmi_indication_nas_event_report_output_get_io
                                   (QmiIndicationNasEventReportOutput *self,
                                    gint32 *value_io,
                                    GError **error);

Get the 'IO' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_io | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_ecio ()

    gboolean
    qmi_indication_nas_event_report_output_get_ecio
                                   (QmiIndicationNasEventReportOutput *self,
                                    guint8 *value_ecio_ecio,
                                    QmiNasRadioInterface *value_ecio_radio_interface,
                                    GError **error);

Get the 'ECIO' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_ecio_ecio | a placeholder for the output guint8, or `NULL` if not required. |
value_ecio_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_indication_nas_event_report_output_get_rssi ()

    gboolean
    qmi_indication_nas_event_report_output_get_rssi
                                   (QmiIndicationNasEventReportOutput *self,
                                    guint8 *value_rssi_rssi,
                                    QmiNasRadioInterface *value_rssi_radio_interface,
                                    GError **error);

Get the 'RSSI' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_rssi_rssi | a placeholder for the output guint8, or `NULL` if not required. |
value_rssi_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_registration_reject_reason ()

    gboolean
    qmi_indication_nas_event_report_output_get_registration_reject_reason
                                   (QmiIndicationNasEventReportOutput *self,
                                    QmiNasNetworkServiceDomain *value_registration_reject_reason_service_domain,
                                    guint16 *value_registration_reject_reason_reject_cause,
                                    GError **error);

Get the 'Registration Reject Reason' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_registration_reject_reason_service_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
value_registration_reject_reason_reject_cause | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_rf_band_information ()

    gboolean
    qmi_indication_nas_event_report_output_get_rf_band_information
                                   (QmiIndicationNasEventReportOutput *self,
                                    GArray **value_rf_band_information,
                                    GError **error);

Get the 'RF Band Information' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_rf_band_information | a placeholder for the output GArray of QmiIndicationNasEventReportOutputRfBandInformationElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_indication_nas_event_report_output_get_signal_strength ()

    gboolean
    qmi_indication_nas_event_report_output_get_signal_strength
                                   (QmiIndicationNasEventReportOutput *self,
                                    gint8 *value_signal_strength_strength,
                                    QmiNasRadioInterface *value_signal_strength_radio_interface,
                                    GError **error);

Get the 'Signal Strength' field from `self` .

#### Parameters

self | a QmiIndicationNasEventReportOutput. |
value_signal_strength_strength | a placeholder for the output gint8, or `NULL` if not required. |
value_signal_strength_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

## Types and Values

### QmiIndicationNasEventReportOutput

    typedef struct _QmiIndicationNasEventReportOutput QmiIndicationNasEventReportOutput;

The QmiIndicationNasEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiIndicationNasEventReportOutputRfBandInformationElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasActiveBand active_band_class;
        guint16 active_channel;
    } QmiIndicationNasEventReportOutputRfBandInformationElement;

A QmiIndicationNasEventReportOutputRfBandInformationElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasActiveBand `active_band_class`; | a QmiNasActiveBand. |
guint16 `active_channel`; | a guint16. |

Since: 1.0